System.IO.Compression 4.0.0.0 System.Enum

When you set the mode to , the underlying file or stream must support reading, but does not have to support seeking. If the underlying file or stream supports seeking, the files are read from the archive as they are requested. If the underlying file or stream does not support seeking, the entire archive is held in memory.

When you set the mode to , the underlying file or stream must support writing, but does not have to support seeking. Each entry in the archive can be opened only once for writing. If you create a single entry, the data is written to the underlying stream or file as soon as it is available. If you create multiple entries, such as by calling the method, the data is written to the underlying stream or file after all the entries are created.

When you set the mode to , the underlying file or stream must support reading, writing, and seeking. The content of the entire archive is held in memory, and no data is written to the underlying file or stream until the archive is disposed.

The following methods include a parameter named that lets you specify the archive mode:

Specifies values for interacting with zip archive entries.

- Field
  4.0.0.0
  System.IO.Compression.ZipArchiveMode

  Only creating new archive entries is permitted.

- Field
  4.0.0.0
  System.IO.Compression.ZipArchiveMode

  Only reading archive entries is permitted.

- Field
  4.0.0.0
  System.IO.Compression.ZipArchiveMode

  Both read and write operations are permitted for archive entries.